# $Id: audacity.spec,v 1.2 2002/08/01 22:28:16 dude Exp $

%define	subver	2

Summary: A powerful audio editor.
Name: audacity
Version: 1.0.0
Release: fr1
License: GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/audacity/audacity-src-%{version}-%{subver}.tgz
URL: http://audacity.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: wxGTK, libogg, libvorbis
BuildRequires: wxGTK-devel, libogg-devel, libvorbis-devel

%description
Audacity is a free audio editor. You can record sounds, play sounds, import
and export WAV, AIFF, and MP3 files, and more. Use it to edit your sounds
using Cut, Copy and Paste (with unlimited Undo), mix tracks together, or
apply effects to your recordings. It also has a built-in amplitude envelope
editor, a customizable spectrogram mode and a frequency analysis window for
audio analysis applications. Built-in effects include Bass Boost, Wahwah,
and Noise Removal, and it also supports VST plug-in effects. 

%prep
%setup -q -n %{name}-src-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install PREFIX=%{buildroot}%{_prefix}

mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
cat > %{buildroot}/etc/X11/applnk/Multimedia/%{name}.desktop << EOF
[Desktop Entry]
Name=Audacity
Comment=%{summary}
Exec=%{name}
Icon=%{name}.xpm
Terminal=0
Type=Application
EOF

install -D -m644 xpm/AudacityLogo.xpm \
	%{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc LICENSE.txt README.txt help
/etc/X11/applnk/Multimedia/%{name}.desktop
%{_prefix}/bin/%{name}
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

